Bug 797181 - [abrt] kernel: WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
[abrt] kernel: WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:6e353054c1cc22b7d4d11d43ecb...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-24 08:26 EST by Theodore Lee
Modified: 2012-04-23 09:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 12:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Theodore Lee 2012-02-24 08:26:05 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.2.7-1.fc16.x86_64 root=UUID=439eb3de-ce65-4dbd-932e-ddf2e55f77d1 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
kernel:         3.2.7-1.fc16.x86_64
reason:         WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
time:           Fri 24 Feb 2012 08:38:59 AM MYT

backtrace:
:WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
:Hardware name: PORTEGE R830
:list_del corruption. next->prev should be ffff8801dff2fe30, but was           (null)
:Modules linked in: tcp_lp ppdev parport_pc lp parport fuse 8021q garp stp llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm rfcomm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep coretemp ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek ath3k btusb bluetooth snd_hda_intel snd_hda_codec snd_usb_audio snd_seq snd_pcm snd_hwdep snd_usbmidi_lib snd_rawmidi snd_timer snd_seq_device arc4 ath9k mac80211 ath9k_common ath9k_hw ath cfg80211 uvcvideo videodev e1000e toshiba_acpi media v4l2_compat_ioctl32 sparse_keymap rfkill snd iTCO_wdt snd_page_alloc soundcore iTCO_vendor_support binfmt_misc joydev uinput toshiba_bluetooth microcode sdhci_pci sdhci mmc_core i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last
:unloaded: scsi_wait_scan]
:Pid: 1, comm: systemd Not tainted 3.2.7-1.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff812c9fa2>] __list_del_entry+0x82/0xd0
: [<ffffffff8118f050>] d_kill+0x60/0x100
: [<ffffffff8118f772>] dput+0xe2/0x1b0
: [<ffffffff810bb30f>] cgroup_clear_directory+0x8f/0x100
: [<ffffffff810be478>] cgroup_rmdir+0x398/0x4c0
: [<ffffffff81090440>] ? remove_wait_queue+0x50/0x50
: [<ffffffff81185a25>] vfs_rmdir+0xb5/0x110
: [<ffffffff81187d33>] do_rmdir+0x103/0x120
: [<ffffffff81188fa6>] sys_rmdir+0x16/0x20
: [<ffffffff815e9d82>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: cefb3f81-3dea-42f0-973a-e8470c4e6b0a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 4588.59
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2301
:System Memory: 7891
:System Swap: 15999
:Vendor: TOSHIBA
:System: PORTEGE R830 PT324L-00H00D
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4473:1) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(5772:43:4525:26131) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:278:4473:5) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4473:1) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4473:1) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4473:1) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:9288:4473:1) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:7192:4473:1) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4473:1) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5379:4473:1) pci, e1000e, ETHERNET, 82579V Gigabit Network Connection
:(32902:7188:4473:1) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(4147:404:4473:1) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4480:59427:4473:1) pci, sdhci-pci, BASE, N/A
:(32902:7213:4473:1) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4473:1) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4473:1) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4473:1) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4473:1) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 6391112 2156394 2092416 1605632 1253191 1253191
:/dev/sda7 /home ext4 4096 4096 91799328 40890638 36295566 22978560 22741566 22741566
:
Comment 1 Josh Boyer 2012-02-24 08:41:34 EST
Was this on resume from suspend/hibernate?
Comment 2 Theodore Lee 2012-02-24 20:01:02 EST
It probably was, although my memory isn't entirely reliable in that respect.
Comment 3 Dave Jones 2012-03-22 13:03:41 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:06:43 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 13:17:48 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Theodore Lee 2012-03-27 06:19:23 EDT
I just saw this again on kernel 3.3.0-4.fc16.x86_64 after resuming from hibernation.
Comment 7 Josh Boyer 2012-03-28 14:03:18 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.
Comment 8 Theodore Lee 2012-04-23 09:20:40 EDT
I didn't test this earlier as I'd taken to avoiding hibernation altogether (it was causing intermittent kernel panics after resuming). Over the past few days I've gone back to using hibernation again, and with kernel 3.3.2-6.fc16.x86_64 I'm not seeing any sign of either this kernel oops or any kernel panics.

Note You need to log in before you can comment on or make changes to this bug.